Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.kernels.sg.Parameter

class `mvpa2.kernels.sg.``Parameter`(default, ro=False, index=None, value=None, name=None, doc=None, **kwargs)

  This class shall serve as a representation of a parameter.

  It might be useful if a little more information than the pure parameter value is required (or even only useful).

  Each parameter must have a value. However additional attributes can be passed to the constructor and will be stored in the object.

  Notes

  BIG ASSUMPTION: stored values are not mutable, ie nobody should do

  > cls.parameter1[:] = ...

  or we wouldn’t know that it was changed Here is a list of possible additional attributes:

  allowedtype : str
    Description of what types are allowed
  min
    Minimum value
  max
    Maximum value
  step
    Increment/decrement step size hint for optimization

  Methods

  `reset`() | Simply reset the flag
  `reset_value`() | Reset value to the default

  Specify a Parameter with a default value and arbitrary number of additional attributes.

  Parameters:

  name : str

  > Name of the parameter under which it should be available in its respective collection.

  doc : str

  > Documentation about the purpose of this parameter.

  index : int or None

  > Index of parameter among the others. Determines order of listing in help. If None, order of instantiation determines the index.

  ro : bool

  > Either value which will be assigned in the constructor is read-only and cannot be changed

  value :

  > Actual value of the parameter to be assigned

  Methods

  `reset`() | Simply reset the flag
  `reset_value`() | Reset value to the default

  `default`
  `equal_default`

    Returns True if current value is equal to default one

  `is_default`

    Returns True if current value is bound to default one

  `reset_value`()

    Reset value to the default

  `value`

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »